> ## Documentation Index
> Fetch the complete documentation index at: https://levers9.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Pools



## OpenAPI

````yaml /api-reference/openapi/controlplane.openapi.json get /pools
openapi: 3.0.0
info:
  title: levers9 controlplane API
  version: 1.0.0
  description: >-
    REST view of the levers9 controlplane gRPC service, served by the
    controlplane on port 1994. Authenticate with `Authorization: Bearer
    <token>`.
servers:
  - url: https://levers9.uselevers.com
    description: local controlplane
  - url: https://api.uselevers.com
    description: hosted
security:
  - bearer: []
tags:
  - name: ControlPlaneService
paths:
  /pools:
    get:
      tags:
        - ControlPlaneService
      summary: Pools
      operationId: ControlPlaneService_ListPools
      parameters:
        - name: filters
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controlplaneListPoolsResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    controlplaneListPoolsResponse:
      type: object
      properties:
        ok:
          type: boolean
        errMsg:
          type: string
        pools:
          type: array
          items:
            $ref: '#/components/schemas/controlplanePool'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    controlplanePool:
      type: object
      properties:
        name:
          type: string
        active:
          type: boolean
        gpu:
          type: string
        minFreeGpu:
          type: string
        minFreeCpu:
          type: string
        minFreeMemory:
          type: string
        defaultWorkerCpu:
          type: string
        defaultWorkerMemory:
          type: string
        defaultWorkerGpuCount:
          type: string
        state:
          $ref: '#/components/schemas/typesWorkerPoolState'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    typesWorkerPoolState:
      type: object
      properties:
        status:
          type: string
        schedulingLatency:
          type: string
          format: int64
        freeGpu:
          type: integer
          format: int64
        freeCpu:
          type: string
          format: int64
        freeMemory:
          type: string
          format: int64
        pendingWorkers:
          type: string
          format: int64
        availableWorkers:
          type: string
          format: int64
        pendingContainers:
          type: string
          format: int64
        runningContainers:
          type: string
          format: int64
        registeredMachines:
          type: string
          format: int64
        pendingMachines:
          type: string
          format: int64
        readyMachines:
          type: string
          format: int64
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.